CREATE TABLE phpseed_speedlimit (
  uploaded bigint(20) NOT NULL default '0',
  total_uploaded bigint(20) NOT NULL default '0',
  started bigint(20) NOT NULL default '0'
);

INSERT INTO phpseed_speedlimit values (0,0,0);

CREATE TABLE phpseed_torrents (
  info_hash char(40) NOT NULL default '',
  piecelength int(11) NOT NULL default '-1',
  numpieces int(11) NOT NULL default '0',
  PRIMARY KEY  (info_hash)
);

CREATE TABLE phpseed_files (
  info_hash char(40) default NULL,
  filename char(255) NOT NULL default '',
  startpiece int(11) NOT NULL default '0',
  endpiece int(11) NOT NULL default '0',
  startpieceoffset int(11) NOT NULL default '0',
  fileorder int(11) NOT NULL default '0',
  UNIQUE KEY fileseq (info_hash,fileorder)
);